Update Products
1 min
POST
https://api.us1.odp.optimizely.com/v3/objects/products
Body Parameters
- bodyProduct[]requiredExamplesExample Payload:
[ { "product_id": 123, "name": "Red Shirt" }, { "product_id": 456, "name": "Blue Shirt" } ]- product_idstringrequiredDescription
- {product_field}map<string, string>Description
Responses
202
- GenericUpdateResponse
- titlestring
- statusinteger<int32>Formatint32
- timestampstring
400
- 40xResponseExample
{ "title": "Bad Request", "status": 400, "timestamp": "2018-09-10T21:07:10-05:00", "detail": { "invalids": [ { "field": "delimiter", "reason": "Unrecognized delimiter, valid options are comma, tab or pipe" } ] } }- titlestring
- statusinteger<int32>Formatint32
- timestampstring
- detailobject
- invalidsobject[]
- eventinteger
- messagestring
403
- 403ResponseExample
{ "message": "Forbidden" }- messagestring
404
- 40xResponseExample
{ "title": "Bad Request", "status": 404, "timestamp": "2018-09-10T21:07:10-05:00", "detail": { "message": "Not found description" } }- titlestring
- statusinteger<int32>Formatint32
- timestampstring
- detailobject
- invalidsobject[]
- eventinteger
- messagestring
curl
curl --request POST \
--url https://api.us1.odp.optimizely.com/v3/objects/products \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '[
{
"product_id": ""
}
]'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify([
{
"product_id": ""
}
]);
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.us1.odp.optimizely.com/v3/objects/products", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.us1.odp.optimizely.com/v3/objects/products")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump([
{
"product_id": ""
}
])
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.us1.odp.optimizely.com/v3/objects/products"
payload = json.dumps([
{
"product_id": ""
}
])
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
202
// Accepted
{
"title": "",
"status": "",
"timestamp": ""
}400
// Bad Request
{
"title": "",
"status": "",
"timestamp": "",
"detail": {
"invalids": [
{
"event": 0,
"message": ""
}
]
}
}403
// Forbidden
{
"message": ""
}404
// Not Found
{
"title": "",
"status": "",
"timestamp": "",
"detail": {
"invalids": [
{
"event": 0,
"message": ""
}
]
}
}